#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages


#
# Custom string constants
#

FORBIDDEN_PERMISSION = 'system.forbidden'
'''Custom permission which is never granted to any user'''

PUBLIC_PERMISSION = 'public'
'''Public permission is granted to every principal'''

VIEW_PERMISSION = 'view'
'''View permission is a custom permission used to view contents'''

MANAGE_PERMISSION = 'manage'
'''Permission used to manage basic informations this permission is generally not used by custom contents'''

VIEW_SYSTEM_PERMISSION = 'system.view'
'''Permission used to access management screens'''

MANAGE_SYSTEM_PERMISSION = 'system.manage'
'''Permission used to manage system settings'''

MANAGE_SECURITY_PERMISSION = 'security.manage'
'''Permission used to manage security settings'''

MANAGE_ROLES_PERMISSION = 'security.manage_roles'
'''Permission used to manage roles'''


PYAMS_APPLICATION_SETTINGS_KEY = 'pyams.application_name'
'''ZODB application name settings key'''

PYAMS_APPLICATION_DEFAULT_NAME = 'application'
'''ZODB default application name'''

PYAMS_APPLICATION_FACTORY_KEY = 'pyams.application_factory'
'''Settings key to define site root factory'''


class MissingRequestError(Exception):
    """Error raised when no request is available"""
